--- /home/itahukamedia/public_html/studio.itahukamedia.com/public/coproducer.php	2026-03-10 18:13:49.886151954 +0100
+++ /home/itahukamedia/public_html/studio.itahukamedia.com/public/coproducer.safe_extracted_20260310_191901.php	2026-03-10 19:19:01.876202296 +0100
@@ -222,10 +222,10 @@
 .guidesCard .miniBtn{min-width:110px}
 
 </style>
-<script id=\"__INLINE_JS__\">{$__cp_inline_js}</script>
+<script src="assets/js/extracted_safe_20260310_191901/coproducer.inline.001.js"></script>
 <!-- Embedded assets -->
 <style id=\"__INLINE_CSS__\">{$__cp_inline_css}</style>
-<script id=\"__INLINE_JS__\">{$__cp_inline_js}</script>
+<script src="assets/js/extracted_safe_20260310_191901/coproducer.inline.002.js"></script>
 
 <link rel="stylesheet" href="assets/css/modules/overlay-composer.css">
 <link rel="stylesheet" href="assets/css/modules/feature-modal-core.css">
@@ -263,60 +263,10 @@
   </div>
 </div>
 
-<script>
-(function(){
-  function prep(el){
-    if (!el) return;
-    if (!el.hasAttribute('aria-hidden')) el.setAttribute('aria-hidden','true');
-    if ('hidden' in el && el.getAttribute('aria-hidden') !== 'false') el.hidden = true;
-  }
-  document.addEventListener('DOMContentLoaded', function(){
-    document.querySelectorAll('.overlay,.lkModal,.cpModal,#streamModalV3').forEach(prep);
-    if(!root.__featureStudioDelegatedBound){
-      root.__featureStudioDelegatedBound=true;
-      root.addEventListener('dblclick', function(ev){
-        var mediaItem = ev.target && ev.target.closest ? ev.target.closest('[data-studio-launch="media"]') : null;
-        if(mediaItem && window.MediaStudio && typeof window.MediaStudio.open==='function'){ ev.preventDefault(); ev.stopPropagation(); window.MediaStudio.open({ projectId: (window.projectId || window.CURRENT_PROJECT_ID || '') }); return; }
-        var virtItem = ev.target && ev.target.closest ? ev.target.closest('[data-studio-launch="virtual"]') : null;
-        if(virtItem && window.VirtualStudio && typeof window.VirtualStudio.open==='function'){ ev.preventDefault(); ev.stopPropagation(); window.VirtualStudio.open({ projectId: (window.projectId || window.CURRENT_PROJECT_ID || '') }); return; }
-        var transItem = ev.target && ev.target.closest ? ev.target.closest('[data-studio-launch="transition"]') : null;
-        if(transItem && window.TransitionStudio && typeof window.TransitionStudio.open==='function'){ ev.preventDefault(); ev.stopPropagation(); window.TransitionStudio.open({ projectId: (window.projectId || window.CURRENT_PROJECT_ID || '') }); return; }
-      }, true);
-    }
-
-    document.addEventListener('keydown', function(ev){
-      if (ev.key !== 'Escape') return;
-      const open = Array.from(document.querySelectorAll('.overlay.show,.lkModal.show,.cpModal.show,#streamModalV3.show,[aria-hidden="false"].overlay,[aria-hidden="false"].lkModal,[aria-hidden="false"].cpModal,[aria-hidden="false"]#streamModalV3'));
-      const top = open[open.length-1];
-      if (top && typeof window.__modalHide === 'function') window.__modalHide(top);
-    });
-  });
-})();
-</script>
+<script src="assets/js/extracted_safe_20260310_191901/coproducer.inline.003.js"></script>
 
 
-<script id="cp-overlay-composer-hard-modal-patch">
-(function(){
-(function(){
-  // stripped duplicate late modal patch
-})();
-(function(){
-  function prep(el){
-    if (!el) return;
-    if (!el.hasAttribute('aria-hidden')) el.setAttribute('aria-hidden','true');
-    if ('hidden' in el && el.getAttribute('aria-hidden') !== 'false') el.hidden = true;
-  }
-  document.addEventListener('DOMContentLoaded', function(){
-    document.querySelectorAll('.overlay,.lkModal,.cpModal,#streamModalV3').forEach(prep);
-    document.addEventListener('keydown', function(ev){
-      if (ev.key !== 'Escape') return;
-      const open = Array.from(document.querySelectorAll('.overlay.show,.lkModal.show,.cpModal.show,#streamModalV3.show,[aria-hidden="false"].overlay,[aria-hidden="false"].lkModal,[aria-hidden="false"].cpModal,[aria-hidden="false"]#streamModalV3'));
-      const top = open[open.length-1];
-      if (top && typeof window.__modalHide === 'function') window.__modalHide(top);
-    });
-  });
-})();
-</script>
+<script src="assets/js/extracted_safe_20260310_191901/coproducer.inline.004.js"></script>
 
 
 
@@ -6008,19 +5958,7 @@
   </div>
 </div>
 
-<script>
-(function(){
-  function dedupeGuidesSettingsButton(){
-    var nodes = document.querySelectorAll("#btnGuidesSettings");
-    if (!nodes || nodes.length <= 1) return;
-    for (var i = 1; i < nodes.length; i++) {
-      try { nodes[i].remove(); } catch(_){}
-    }
-  }
-  if(document.readyState === "loading") document.addEventListener("DOMContentLoaded", dedupeGuidesSettingsButton, {once:true});
-  else dedupeGuidesSettingsButton();
-})();
-</script>
+<script src="assets/js/extracted_safe_20260310_191901/coproducer.inline.008.js"></script>
 
 
 <div id="featureStudioModal" class="featureStudioModal" hidden aria-hidden="true">
@@ -6049,46 +5987,7 @@
   $__cp_js = file_get_contents($__cp_js_path);
 }
 ?>
-<script>
-
-function __cpForceModalOpen(id){
-  var el = document.getElementById(id);
-  if(!el) return false;
-  el.hidden = false;
-  el.removeAttribute('hidden');
-  el.setAttribute('aria-hidden','false');
-  el.classList.add('show','is-open');
-  el.style.display = 'flex';
-  el.style.visibility = 'visible';
-  el.style.opacity = '1';
-  el.style.pointerEvents = 'auto';
-  document.documentElement.classList.add('appModalNoScroll');
-  document.body.classList.add('appModalNoScroll');
-  return true;
-}
-
-function __cpForceModalClose(id){
-  var el = document.getElementById(id);
-  if(!el) return false;
-  el.classList.remove('show','is-open');
-  el.setAttribute('aria-hidden','true');
-  el.hidden = true;
-  el.style.display = 'none';
-  el.style.visibility = 'hidden';
-  el.style.opacity = '0';
-  el.style.pointerEvents = 'none';
-
-  var open = document.querySelectorAll(
-    '.cpModal.show,.overlay.show,.lkModal.show,#streamModalV3.show,.featureStudioModal.show,#cpOverlayHardModal.show,#overlayComposerModal.show'
-  );
-  if(!open.length){
-    document.documentElement.classList.remove('appModalNoScroll');
-    document.body.classList.remove('appModalNoScroll');
-  }
-  return true;
-}
-
-</script>
+<script src="assets/js/extracted_safe_20260310_191901/coproducer.inline.009.js"></script>
 <script id="__COPRODUCER_JS__">
 <?php echo $__cp_js; ?>
 </script>
